 pipeline {
    agent any
    stages {
        stage('build') {
          steps {
             echo 'Notify GitLab'
             updateGitlabCommitStatus name: 'build', state: 'pending'
             echo 'build step goes here'
             updateGitlabCommitStatus name: 'build', state: 'success'
          }
       }
        stage('test') {
          steps {
             echo 'Notify GitLab'
             updateGitlabCommitStatus name: 'test', state: 'pending'
             echo 'testing step goes here'
             updateGitlabCommitStatus name: 'test', state: 'success'
          }
        }
        stage('jenkins-job') {
          steps {
             echo 'Notify GitLab of complete pipeline'
             updateGitlabCommitStatus name: 'jenkins-job', state: 'success'
          }
       }
    
    }
 }